$ErrorActionPreference = 'Stop';

$packageName= 'invantive-bridge-connectors-power-bi'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Bridge%20Connectors%20for%20Power%20BI-17.23.2-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Bridge%20Connectors%20for%20Power%20BI-17.23.2-BETA.msi'
  softwareName = 'Invantive Bridge Connectors for Power BI'
  checksum = '1A4D1B712A85F55866B6AC6D195BDF39B1A689ED2345E4BF4F878AF11B3E2705'
  checksumType = 'sha256'
  checksum64 = '1A4D1B712A85F55866B6AC6D195BDF39B1A689ED2345E4BF4F878AF11B3E2705'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-bridge-connectors-power-bi-17.23.2-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
